curl -X POST https://api.owem.com.br/v4/i/baas/accounts/123456789012/pix-keys/75be0efc-51b0-47e1-803d-5162f06b755c/set-current \
-H "Authorization: Basic $(echo -n 'SUA_API_KEY:SEU_SECRET' | base64)" \
-H "Content-Type: application/json"
{
"requestId": "1d27bea6-8fd1-48f2-ae87-0fd9e76d6b6d",
"success": true,
"size": 1,
"data": {
"success": true,
"message": "Chave PIX definida como corrente",
"pixKeyId": "75be0efc-51b0-47e1-803d-5162f06b755c",
"isCurrent": true
}
}
Define qual chave PIX será a principal (corrente) de uma conta bancária BaaS.
curl -X POST https://api.owem.com.br/v4/i/baas/accounts/123456789012/pix-keys/75be0efc-51b0-47e1-803d-5162f06b755c/set-current \
-H "Authorization: Basic $(echo -n 'SUA_API_KEY:SEU_SECRET' | base64)" \
-H "Content-Type: application/json"
{
"requestId": "1d27bea6-8fd1-48f2-ae87-0fd9e76d6b6d",
"success": true,
"size": 1,
"data": {
"success": true,
"message": "Chave PIX definida como corrente",
"pixKeyId": "75be0efc-51b0-47e1-803d-5162f06b755c",
"isCurrent": true
}
}
curl -X POST https://api.owem.com.br/v4/i/baas/accounts/123456789012/pix-keys/75be0efc-51b0-47e1-803d-5162f06b755c/set-current \
-H "Authorization: Basic $(echo -n 'SUA_API_KEY:SEU_SECRET' | base64)" \
-H "Content-Type: application/json"
baas:accounts é configurado pela Owem na sua API Key.Authorization: Basic {Base64(API_KEY:API_SECRET)}
| Header | Tipo | Obrigatório | Descrição |
|---|---|---|---|
| Authorization | string | ✅ | Basic Auth (API Key + Secret em Base64) |
| Content-Type | string | ✅ | application/json |
| Parâmetro | Tipo | Obrigatório | Descrição |
|---|---|---|---|
| accountId | string | ✅ | ID da conta (retornado em onboarding/status) |
| pixKeyId | string | ✅ | ID da chave PIX a ser definida como corrente |
{
"requestId": "1d27bea6-8fd1-48f2-ae87-0fd9e76d6b6d",
"success": true,
"size": 1,
"data": {
"success": true,
"message": "Chave PIX definida como corrente",
"pixKeyId": "75be0efc-51b0-47e1-803d-5162f06b755c",
"isCurrent": true
}
}
| Campo | Tipo | Descrição |
|---|---|---|
| success | boolean | Se a operação foi bem-sucedida |
| message | string | Mensagem de confirmação |
| pixKeyId | string | ID da chave definida como corrente |
| isCurrent | boolean | Sempre true em caso de sucesso |
| Código | HTTP | Descrição |
|---|---|---|
BAAS_PIX_KEY_NOT_FOUND | 404 | Chave PIX não encontrada |
BAAS_PIX_KEY_WRONG_ACCOUNT | 400 | Chave não pertence à conta informada |
BAAS_ACCOUNT_NOT_FOUND | 404 | Conta não encontrada |
BAAS_ACCOUNT_WRONG_PARTNER | 403 | Conta não pertence ao parceiro |
{
"requestId": "1d27bea6-8fd1-48f2-ae87-0fd9e76d6b6d",
"success": true,
"size": 1,
"data": {
"success": true,
"message": "Chave PIX definida como corrente",
"pixKeyId": "75be0efc-51b0-47e1-803d-5162f06b755c",
"isCurrent": true
}
}
Was this page helpful?